﻿//{$WARNINGS OFF}
//{$WARN SYMBOL_PLATFORM OFF}
//{$WARN UNIT_PLATFORM OFF}
//=============================================================================
//  ブラウザに URL をセットしてそのページを表示
//  クリップボードを使用する方法
//
//-----------------------------------------------------------------------------
//
//  【履歴】
//
//  2021年11月13日 ～
//
//-----------------------------------------------------------------------------
//
//  【動作確認環境】
//
//  Windows [Version 10.0.19042] Pro 64 bit + Delphi XE5(UP2) Pro VCL-32
//
//  Presented by Mr.XRAY
//  http://mrxray.on.coocan.jp/
//=============================================================================
unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
 private
    { Private 宣言 }
  public
    { Public 宣言 }
  end;

var
  Form1: TForm1;

implementation

uses
  Vcl.Clipbrd,
  plSendShortCut;

{$R *.dfm}

//=============================================================================
//  ウェブブラウザのアドレスバーに URL セットしてその URL のページを表示
//  クリップボードを使用する方法
//
//  動作確認方法
//  (1) ウェブブラウザを起動
//  (2) このプログラムの Button1 をクリック
//
//  plSendShortCut (ショートカット送信操作用ユニット) を使用
//  uses に Vcl.Clipbrd が必要
//=============================================================================
procedure TForm1.Button1Click(Sender: TObject);
var
  LTargetWnd : HWND;
begin
  // このフォームを表示する前にアクティブだったウィンドウのハンドルを取得
  LTargetWnd := GetNextWindow(Handle, GW_HWNDNEXT);
  while not IsWindowVisible(LTargetWnd) do begin
    LTargetWnd := GetNextWindow(LTargetWnd, GW_HWNDNEXT);
  end;


  SendShortCutKeyEx(LTargetWnd, 'Alt + D');
  SendShortCutKeyEx(LTargetWnd, 'Delete');

  Clipboard.AsText := 'http://mrxray.on.coocan.jp/index.htm';
  SendShortCutKeyEx(LTargetWnd, 'Ctrl + V');
  SendShortCutKeyEx(LTargetWnd, 'Enter');
end;

end.
